> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Dashboard

> Totals the caller's non-SCP grants split fiat/token: granted, vested, unlocked, settled, pending settlement value.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-employee-dashboard
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-employee-dashboard:
    get:
      operationId: getEmployeeDashboard
      summary: Get Employee Dashboard
      description: >-
        Totals the caller's non-SCP grants split fiat/token: granted, vested,
        unlocked, settled, pending settlement value.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeDashboardResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetEmployeeDashboardResponse:
      type: object
      properties:
        grants:
          type: array
          items:
            type: object
            properties:
              grantID:
                type: string
              roleInOrgID:
                type: string
              grantConfigurationID:
                type: string
              isVestingEnabled:
                type: boolean
              isExerciseEnabled:
                type: boolean
              grantName:
                type: string
              grantDescription:
                type: string
              grantDate:
                type: string
              grantStatus:
                type: string
                enum:
                  - PENDING
                  - REJECTED
                  - ACCEPTED
                  - COMPLETED
                  - TERMINATED
                  - PAUSED
                  - MARKED_FOR_FUTURE_TERMINATION
              grantAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              grantAmountInFiat:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              grantAssetType:
                type:
                  - string
                  - 'null'
                enum:
                  - TOKEN
                  - FIAT
                  - null
              isCashCompensation:
                type:
                  - boolean
                  - 'null'
              isLockup:
                type:
                  - boolean
                  - 'null'
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              taxCurrencyCode:
                type:
                  - string
                  - 'null'
                enum:
                  - TRY
                  - ILS
                  - CRC
                  - TTD
                  - SGD
                  - JPY
                  - AUD
                  - NOK
                  - INR
                  - GBP
                  - CHF
                  - RUB
                  - CAD
                  - BRL
                  - NGN
                  - KRW
                  - AED
                  - LBP
                  - EUR
                  - NZD
                  - ZAR
                  - USD
                  - USDC
                  - USDT
                  - USDP
                  - PHP
                  - PLN
                  - RSD
                  - HKD
                  - TWD
                  - AFN
                  - AMD
                  - ANG
                  - AOA
                  - ARS
                  - AWG
                  - AZN
                  - BAM
                  - BBD
                  - BDT
                  - BGN
                  - BHD
                  - BIF
                  - BMD
                  - BND
                  - BOB
                  - BSD
                  - BTN
                  - BWP
                  - BYN
                  - BZD
                  - CDF
                  - CLF
                  - CLP
                  - CNY
                  - COP
                  - CUC
                  - CUP
                  - CVE
                  - CZK
                  - DJF
                  - DKK
                  - DOP
                  - DZD
                  - EGP
                  - ERN
                  - ETB
                  - FJD
                  - FKP
                  - GEL
                  - GHS
                  - GIP
                  - GMD
                  - GNF
                  - GTQ
                  - GYD
                  - HNL
                  - HRK
                  - HTG
                  - HUF
                  - IDR
                  - IQD
                  - IRR
                  - ISK
                  - JMD
                  - JOD
                  - KES
                  - KGS
                  - KHR
                  - KMF
                  - KPW
                  - KWD
                  - KYD
                  - KZT
                  - LAK
                  - LKR
                  - LRD
                  - LSL
                  - LYD
                  - MAD
                  - MDL
                  - MGA
                  - MKD
                  - MMK
                  - MNT
                  - MOP
                  - MRU
                  - MUR
                  - MVR
                  - MWK
                  - MXN
                  - MYR
                  - MZN
                  - NAD
                  - NPR
                  - NIO
                  - OMR
                  - PAB
                  - PEN
                  - PGK
                  - PKR
                  - PYG
                  - QAR
                  - RON
                  - RWF
                  - SAR
                  - SBD
                  - SCR
                  - SDG
                  - SHP
                  - SLL
                  - SOS
                  - SRD
                  - SSP
                  - STN
                  - SVC
                  - SYP
                  - SZL
                  - TJS
                  - TMT
                  - TND
                  - TOP
                  - TZS
                  - UAH
                  - UGX
                  - UYU
                  - UZS
                  - VES
                  - VND
                  - VUV
                  - WST
                  - XAF
                  - XCD
                  - XOF
                  - XPF
                  - YER
                  - ZMW
                  - SEK
                  - THB
                  - null
              grantAdminCurrencyCode:
                type:
                  - string
                  - 'null'
                enum:
                  - TRY
                  - ILS
                  - CRC
                  - TTD
                  - SGD
                  - JPY
                  - AUD
                  - NOK
                  - INR
                  - GBP
                  - CHF
                  - RUB
                  - CAD
                  - BRL
                  - NGN
                  - KRW
                  - AED
                  - LBP
                  - EUR
                  - NZD
                  - ZAR
                  - USD
                  - USDC
                  - USDT
                  - USDP
                  - PHP
                  - PLN
                  - RSD
                  - HKD
                  - TWD
                  - AFN
                  - AMD
                  - ANG
                  - AOA
                  - ARS
                  - AWG
                  - AZN
                  - BAM
                  - BBD
                  - BDT
                  - BGN
                  - BHD
                  - BIF
                  - BMD
                  - BND
                  - BOB
                  - BSD
                  - BTN
                  - BWP
                  - BYN
                  - BZD
                  - CDF
                  - CLF
                  - CLP
                  - CNY
                  - COP
                  - CUC
                  - CUP
                  - CVE
                  - CZK
                  - DJF
                  - DKK
                  - DOP
                  - DZD
                  - EGP
                  - ERN
                  - ETB
                  - FJD
                  - FKP
                  - GEL
                  - GHS
                  - GIP
                  - GMD
                  - GNF
                  - GTQ
                  - GYD
                  - HNL
                  - HRK
                  - HTG
                  - HUF
                  - IDR
                  - IQD
                  - IRR
                  - ISK
                  - JMD
                  - JOD
                  - KES
                  - KGS
                  - KHR
                  - KMF
                  - KPW
                  - KWD
                  - KYD
                  - KZT
                  - LAK
                  - LKR
                  - LRD
                  - LSL
                  - LYD
                  - MAD
                  - MDL
                  - MGA
                  - MKD
                  - MMK
                  - MNT
                  - MOP
                  - MRU
                  - MUR
                  - MVR
                  - MWK
                  - MXN
                  - MYR
                  - MZN
                  - NAD
                  - NPR
                  - NIO
                  - OMR
                  - PAB
                  - PEN
                  - PGK
                  - PKR
                  - PYG
                  - QAR
                  - RON
                  - RWF
                  - SAR
                  - SBD
                  - SCR
                  - SDG
                  - SHP
                  - SLL
                  - SOS
                  - SRD
                  - SSP
                  - STN
                  - SVC
                  - SYP
                  - SZL
                  - TJS
                  - TMT
                  - TND
                  - TOP
                  - TZS
                  - UAH
                  - UGX
                  - UYU
                  - UZS
                  - VES
                  - VND
                  - VUV
                  - WST
                  - XAF
                  - XCD
                  - XOF
                  - XPF
                  - YER
                  - ZMW
                  - SEK
                  - THB
                  - null
              vestingStartDate:
                type: string
              offPlatformDate:
                type:
                  - string
                  - 'null'
              vestingFrequencyType:
                type:
                  - string
                  - 'null'
                enum:
                  - MONTHLY
                  - QUARTERLY
                  - SEMIANNUALLY
                  - YEARLY
                  - CUSTOM
                  - DAILY
                  - WEEKLY
                  - null
              vestingPeriods:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              vestingCliffPeriods:
                type:
                  - integer
                  - 'null'
              vestingCliffPercentage:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              scheduleStringOverride:
                type:
                  - string
                  - 'null'
              pricePerUnit:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              pricePerUnitCurrencyCode:
                type:
                  - string
                  - 'null'
              priceTotal:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              tokenName:
                type:
                  - string
                  - 'null'
              tokenTypeID:
                type:
                  - string
                  - 'null'
              stablecoinSplitPercentage:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              strikePrice:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              strikePriceCurrencyCode:
                type:
                  - string
                  - 'null'
              strikeCostTotal:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              anchorageSettlementWalletID:
                type:
                  - string
                  - 'null'
              section83BElectionEligible:
                type: boolean
              isTaxable:
                type: boolean
              terminationDate:
                type:
                  - string
                  - 'null'
              futureTerminationDate:
                type:
                  - string
                  - 'null'
              grantTerminations: {}
              awardDate:
                type:
                  - string
                  - 'null'
              strikeDate:
                type:
                  - string
                  - 'null'
              optionExpiresAt:
                type:
                  - string
                  - 'null'
              optionExpiryNotifiedAt:
                type:
                  - string
                  - 'null'
              allocationType:
                type:
                  - string
                  - 'null'
              averageBasis:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              currency:
                type:
                  - string
                  - 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              deletedAt:
                type:
                  - string
                  - 'null'
              grantTemplateID:
                type:
                  - string
                  - 'null'
              cliffOverrideString:
                type:
                  - string
                  - 'null'
              isSCPGrant:
                type:
                  - boolean
                  - 'null'
              isAutoVestingEnabled:
                type:
                  - boolean
                  - 'null'
              vestings:
                type: array
                items:
                  type: object
                  properties:
                    vestingID:
                      type: string
                    roleInOrgID:
                      type: string
                    grantID:
                      type: string
                    vestingDate:
                      type: string
                    vestedUnits:
                      type: string
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    accruedUnits:
                      type: string
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    sequence:
                      type: integer
                    status:
                      type: string
                      enum:
                        - PENDING
                        - VESTED
                        - FORFEITED
                        - EXPIRED
                        - CANCELLED
                        - OFF_PLATFORM
                        - UNLOCKED
                        - SETTLED
                    settlementID:
                      type:
                        - string
                        - 'null'
                    taxReferenceID:
                      type:
                        - string
                        - 'null'
                    legacyMigratedAt:
                      type:
                        - string
                        - 'null'
                    legacyModelID:
                      type:
                        - integer
                        - 'null'
                    performanceFactor:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    deletedAt:
                      type:
                        - string
                        - 'null'
                    tokenName:
                      type:
                        - string
                        - 'null'
                    payrollID:
                      type:
                        - string
                        - 'null'
                    taxEngineProcessingState:
                      type:
                        - string
                        - 'null'
                      enum:
                        - NO_TAX_ENGINE_USED
                        - PROCESSING
                        - COMPLETED
                        - null
                    taxEnginePayrollID:
                      type:
                        - string
                        - 'null'
                    taxEngineClaimID:
                      type:
                        - string
                        - 'null'
                    fiatFmv:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    isOffPlatform:
                      type:
                        - boolean
                        - 'null'
                    payrollReportingGroupID:
                      type:
                        - string
                        - 'null'
                    settlementRecord:
                      type:
                        - object
                        - 'null'
                      properties:
                        settlementID:
                          type: string
                        roleInOrgID:
                          type: string
                        settledUnits:
                          type: string
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        settledDate:
                          type: string
                        settlementMethod:
                          type: string
                          enum:
                            - TOKEN
                            - CASH
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        documentID:
                          type:
                            - string
                            - 'null'
                        legacyMigratedAt:
                          type:
                            - string
                            - 'null'
                        legacyModelID:
                          type:
                            - integer
                            - 'null'
                        tokenName:
                          type:
                            - string
                            - 'null'
                        withheldUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        fmv:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        scheduleAmounts: {}
                        recordedVia:
                          type:
                            - string
                            - 'null'
                        revision:
                          type: integer
                        supersededDocumentIDs:
                          type: array
                          items:
                            type: string
                        cashUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                      required:
                        - settlementID
                        - roleInOrgID
                        - settledUnits
                        - settledDate
                        - settlementMethod
                        - createdAt
                        - updatedAt
                        - documentID
                        - legacyMigratedAt
                        - legacyModelID
                        - tokenName
                        - withheldUnits
                        - fmv
                        - scheduleAmounts
                        - recordedVia
                        - revision
                        - supersededDocumentIDs
                        - cashUnits
                  required:
                    - vestingID
                    - roleInOrgID
                    - grantID
                    - vestingDate
                    - vestedUnits
                    - accruedUnits
                    - sequence
                    - status
                    - settlementID
                    - taxReferenceID
                    - legacyMigratedAt
                    - legacyModelID
                    - performanceFactor
                    - createdAt
                    - updatedAt
                    - deletedAt
                    - tokenName
                    - payrollID
                    - taxEngineProcessingState
                    - taxEnginePayrollID
                    - taxEngineClaimID
                    - fiatFmv
                    - isOffPlatform
                    - payrollReportingGroupID
                    - settlementRecord
              lockups:
                type: array
                items:
                  type: object
                  properties:
                    legacyMigratedAt:
                      type:
                        - string
                        - 'null'
                    legacyModelID:
                      type:
                        - integer
                        - 'null'
                    lockupID:
                      type: string
                    roleInOrgID:
                      type: string
                    grantID:
                      type: string
                    unlockDate:
                      type: string
                    unlockUnits:
                      type: string
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    sequence:
                      type: integer
                    settledUnits:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    cumulativeUnlockAmount:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    cumulativeTokensUnlocked:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    settlementID:
                      type:
                        - string
                        - 'null'
                    taxReferenceID:
                      type:
                        - string
                        - 'null'
                    status:
                      type:
                        - string
                        - 'null'
                      enum:
                        - PENDING
                        - VESTED
                        - FORFEITED
                        - EXPIRED
                        - CANCELLED
                        - OFF_PLATFORM
                        - UNLOCKED
                        - SETTLED
                        - null
                    taxVestingStatus:
                      type:
                        - string
                        - 'null'
                      enum:
                        - PENDING
                        - APPROVED
                        - null
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    deletedAt:
                      type:
                        - string
                        - 'null'
                    fiatFmv:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    taxEngineProcessingState:
                      type:
                        - string
                        - 'null'
                      enum:
                        - NO_TAX_ENGINE_USED
                        - PROCESSING
                        - COMPLETED
                        - null
                    taxEnginePayrollID:
                      type:
                        - string
                        - 'null'
                    taxEngineClaimID:
                      type:
                        - string
                        - 'null'
                    payrollReportingGroupID:
                      type:
                        - string
                        - 'null'
                    settlementRecord:
                      type:
                        - object
                        - 'null'
                      properties:
                        settlementID:
                          type: string
                        roleInOrgID:
                          type: string
                        settledUnits:
                          type: string
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        settledDate:
                          type: string
                        settlementMethod:
                          type: string
                          enum:
                            - TOKEN
                            - CASH
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        documentID:
                          type:
                            - string
                            - 'null'
                        legacyMigratedAt:
                          type:
                            - string
                            - 'null'
                        legacyModelID:
                          type:
                            - integer
                            - 'null'
                        tokenName:
                          type:
                            - string
                            - 'null'
                        withheldUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        fmv:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        scheduleAmounts: {}
                        recordedVia:
                          type:
                            - string
                            - 'null'
                        revision:
                          type: integer
                        supersededDocumentIDs:
                          type: array
                          items:
                            type: string
                        cashUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                      required:
                        - settlementID
                        - roleInOrgID
                        - settledUnits
                        - settledDate
                        - settlementMethod
                        - createdAt
                        - updatedAt
                        - documentID
                        - legacyMigratedAt
                        - legacyModelID
                        - tokenName
                        - withheldUnits
                        - fmv
                        - scheduleAmounts
                        - recordedVia
                        - revision
                        - supersededDocumentIDs
                        - cashUnits
                  required:
                    - legacyMigratedAt
                    - legacyModelID
                    - lockupID
                    - roleInOrgID
                    - grantID
                    - unlockDate
                    - unlockUnits
                    - sequence
                    - settledUnits
                    - cumulativeUnlockAmount
                    - cumulativeTokensUnlocked
                    - settlementID
                    - taxReferenceID
                    - status
                    - taxVestingStatus
                    - createdAt
                    - updatedAt
                    - deletedAt
                    - fiatFmv
                    - taxEngineProcessingState
                    - taxEnginePayrollID
                    - taxEngineClaimID
                    - payrollReportingGroupID
                    - settlementRecord
              exerciseRequests:
                type: array
                items:
                  type: object
                  properties:
                    exerciseRequestID:
                      type: string
                    roleInOrgID:
                      type: string
                    grantID:
                      type: string
                    status:
                      type: string
                      enum:
                        - PENDING_AGREEMENT
                        - PENDING_TOKU_ACCEPTANCE
                        - PENDING_TAX_APPROVAL
                        - PENDING_SETTLEMENT
                        - SETTLED
                        - EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM
                        - REJECTED
                    units:
                      type: string
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    settlementMethod:
                      type: string
                      enum:
                        - TOKEN
                        - CASH
                    documentID:
                      type:
                        - string
                        - 'null'
                    addedByRoleInOrgID:
                      type:
                        - string
                        - 'null'
                    rejectedAt:
                      type:
                        - string
                        - 'null'
                    rejectedReason:
                      type:
                        - string
                        - 'null'
                    rejectedByRoleInOrgID:
                      type:
                        - string
                        - 'null'
                    approvedByRoleInOrgID:
                      type:
                        - string
                        - 'null'
                    approvedAt:
                      type:
                        - string
                        - 'null'
                    taxReferenceID:
                      type:
                        - string
                        - 'null'
                    settlementID:
                      type:
                        - string
                        - 'null'
                    lockedUntil:
                      type:
                        - string
                        - 'null'
                    lockupEndNotifiedAt:
                      type:
                        - string
                        - 'null'
                    paymentReceivedAt:
                      type:
                        - string
                        - 'null'
                    paymentAmount:
                      type:
                        - string
                        - 'null'
                      pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                    paymentCurrencyCode:
                      type:
                        - string
                        - 'null'
                    paymentReference:
                      type:
                        - string
                        - 'null'
                    createdAt:
                      type: string
                    updatedAt:
                      type: string
                    deletedAt:
                      type:
                        - string
                        - 'null'
                    settlementRecord:
                      type:
                        - object
                        - 'null'
                      properties:
                        settlementID:
                          type: string
                        roleInOrgID:
                          type: string
                        settledUnits:
                          type: string
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        settledDate:
                          type: string
                        settlementMethod:
                          type: string
                          enum:
                            - TOKEN
                            - CASH
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        documentID:
                          type:
                            - string
                            - 'null'
                        legacyMigratedAt:
                          type:
                            - string
                            - 'null'
                        legacyModelID:
                          type:
                            - integer
                            - 'null'
                        tokenName:
                          type:
                            - string
                            - 'null'
                        withheldUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        fmv:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                        scheduleAmounts: {}
                        recordedVia:
                          type:
                            - string
                            - 'null'
                        revision:
                          type: integer
                        supersededDocumentIDs:
                          type: array
                          items:
                            type: string
                        cashUnits:
                          type:
                            - string
                            - 'null'
                          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                      required:
                        - settlementID
                        - roleInOrgID
                        - settledUnits
                        - settledDate
                        - settlementMethod
                        - createdAt
                        - updatedAt
                        - documentID
                        - legacyMigratedAt
                        - legacyModelID
                        - tokenName
                        - withheldUnits
                        - fmv
                        - scheduleAmounts
                        - recordedVia
                        - revision
                        - supersededDocumentIDs
                        - cashUnits
                  required:
                    - exerciseRequestID
                    - roleInOrgID
                    - grantID
                    - status
                    - units
                    - settlementMethod
                    - documentID
                    - addedByRoleInOrgID
                    - rejectedAt
                    - rejectedReason
                    - rejectedByRoleInOrgID
                    - approvedByRoleInOrgID
                    - approvedAt
                    - taxReferenceID
                    - settlementID
                    - lockedUntil
                    - lockupEndNotifiedAt
                    - paymentReceivedAt
                    - paymentAmount
                    - paymentCurrencyCode
                    - paymentReference
                    - createdAt
                    - updatedAt
                    - deletedAt
                    - settlementRecord
              tokenType:
                type:
                  - object
                  - 'null'
                properties:
                  currencyCode:
                    type: string
                required:
                  - currencyCode
              roleInOrg:
                type: object
                properties:
                  org:
                    type: object
                    properties:
                      tokenName:
                        type:
                          - string
                          - 'null'
                    required:
                      - tokenName
                required:
                  - org
              tokenSymbol:
                type: string
            required:
              - grantID
              - roleInOrgID
              - grantConfigurationID
              - isVestingEnabled
              - isExerciseEnabled
              - grantName
              - grantDescription
              - grantDate
              - grantStatus
              - grantAmount
              - grantAmountInFiat
              - grantAssetType
              - isCashCompensation
              - isLockup
              - legacyMigratedAt
              - legacyModelID
              - taxCurrencyCode
              - grantAdminCurrencyCode
              - vestingStartDate
              - offPlatformDate
              - vestingFrequencyType
              - vestingPeriods
              - vestingCliffPeriods
              - vestingCliffPercentage
              - scheduleStringOverride
              - pricePerUnit
              - pricePerUnitCurrencyCode
              - priceTotal
              - tokenName
              - tokenTypeID
              - stablecoinSplitPercentage
              - strikePrice
              - strikePriceCurrencyCode
              - strikeCostTotal
              - anchorageSettlementWalletID
              - section83BElectionEligible
              - isTaxable
              - terminationDate
              - futureTerminationDate
              - grantTerminations
              - awardDate
              - strikeDate
              - optionExpiresAt
              - optionExpiryNotifiedAt
              - allocationType
              - averageBasis
              - currency
              - createdAt
              - updatedAt
              - deletedAt
              - grantTemplateID
              - cliffOverrideString
              - isSCPGrant
              - isAutoVestingEnabled
              - vestings
              - lockups
              - exerciseRequests
              - tokenType
              - roleInOrg
        tokenSummaries:
          type: array
          items:
            type: object
            properties:
              symbol:
                type: string
              granted:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              vested:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              settled:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            required:
              - symbol
              - granted
              - vested
              - settled
        grantsCount:
          type: integer
        fiatGrantsTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        tokenGrantsTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        vestedUnitsTotalToken:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        vestedUnitsTotalFiat:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        settledUnitsTotal:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        settledUnitsTotalFiat:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        settledUnitsTotalToken:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        unlockedUnitsTotalToken:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        unlockedUnitsTotalFiat:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        upcomingVestings:
          type: array
          items:
            type: object
            properties:
              vestingID:
                type: string
              roleInOrgID:
                type: string
              grantID:
                type: string
              vestingDate:
                type: string
              vestedUnits:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              accruedUnits:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              sequence:
                type: integer
              status:
                type: string
                enum:
                  - PENDING
                  - VESTED
                  - FORFEITED
                  - EXPIRED
                  - CANCELLED
                  - OFF_PLATFORM
                  - UNLOCKED
                  - SETTLED
              settlementID:
                type:
                  - string
                  - 'null'
              taxReferenceID:
                type:
                  - string
                  - 'null'
              legacyMigratedAt:
                type:
                  - string
                  - 'null'
              legacyModelID:
                type:
                  - integer
                  - 'null'
              performanceFactor:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              createdAt:
                type: string
              updatedAt:
                type: string
              deletedAt:
                type:
                  - string
                  - 'null'
              tokenName:
                type:
                  - string
                  - 'null'
              payrollID:
                type:
                  - string
                  - 'null'
              taxEngineProcessingState:
                type:
                  - string
                  - 'null'
                enum:
                  - NO_TAX_ENGINE_USED
                  - PROCESSING
                  - COMPLETED
                  - null
              taxEnginePayrollID:
                type:
                  - string
                  - 'null'
              taxEngineClaimID:
                type:
                  - string
                  - 'null'
              fiatFmv:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              isOffPlatform:
                type:
                  - boolean
                  - 'null'
              payrollReportingGroupID:
                type:
                  - string
                  - 'null'
              settlementRecord:
                type:
                  - object
                  - 'null'
                properties:
                  settlementID:
                    type: string
                  roleInOrgID:
                    type: string
                  settledUnits:
                    type: string
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                  settledDate:
                    type: string
                  settlementMethod:
                    type: string
                    enum:
                      - TOKEN
                      - CASH
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  documentID:
                    type:
                      - string
                      - 'null'
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - integer
                      - 'null'
                  tokenName:
                    type:
                      - string
                      - 'null'
                  withheldUnits:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                  fmv:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                  scheduleAmounts: {}
                  recordedVia:
                    type:
                      - string
                      - 'null'
                  revision:
                    type: integer
                  supersededDocumentIDs:
                    type: array
                    items:
                      type: string
                  cashUnits:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                required:
                  - settlementID
                  - roleInOrgID
                  - settledUnits
                  - settledDate
                  - settlementMethod
                  - createdAt
                  - updatedAt
                  - documentID
                  - legacyMigratedAt
                  - legacyModelID
                  - tokenName
                  - withheldUnits
                  - fmv
                  - scheduleAmounts
                  - recordedVia
                  - revision
                  - supersededDocumentIDs
                  - cashUnits
              tokenSymbol:
                type: string
            required:
              - vestingID
              - roleInOrgID
              - grantID
              - vestingDate
              - vestedUnits
              - accruedUnits
              - sequence
              - status
              - settlementID
              - taxReferenceID
              - legacyMigratedAt
              - legacyModelID
              - performanceFactor
              - createdAt
              - updatedAt
              - deletedAt
              - tokenName
              - payrollID
              - taxEngineProcessingState
              - taxEnginePayrollID
              - taxEngineClaimID
              - fiatFmv
              - isOffPlatform
              - payrollReportingGroupID
              - settlementRecord
        tokensValueToBeSettledFiat:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        tokensValueToBeSettledToken:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
      required:
        - grants
        - tokenSummaries
        - grantsCount
        - fiatGrantsTotal
        - tokenGrantsTotal
        - vestedUnitsTotalToken
        - vestedUnitsTotalFiat
        - settledUnitsTotal
        - settledUnitsTotalFiat
        - settledUnitsTotalToken
        - unlockedUnitsTotalToken
        - unlockedUnitsTotalFiat
        - upcomingVestings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
